# Update a Product Updates an existing product. Endpoint: POST /update/P Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `data` (object, required) Enter new field values. Multiple values can be updated. In our example the unitOfMeasure and label properties were updated. - `data.unitOfMeasure` (string) - `data.typedId` (string, required) - `data.label` (string) - `oldValues` (object, required) - `oldValues.version` (number, required) - `oldValues.sku` (string) - `oldValues.userGroupEdit` (string,null) - `oldValues.userGroupViewDetails` (string,null) - `oldValues.currency` (string) - `oldValues.formulaName` (any) - `oldValues.image` (any) - `oldValues.createDate` (string) - `oldValues.createdBy` (number) - `oldValues.lastUpdateDate` (string) - `oldValues.lastUpdateBy` (number) - `oldValues.attribute1` (any) - `oldValues.attribute2` (any) - `oldValues.attribute3` (any) - `oldValues.attribute4` (any) - `oldValues.attribute5` (any) - `oldValues.attribute6` (any) - `oldValues.attribute7` (any) - `oldValues.attribute8` (any) - `oldValues.attribute9` (any) - `oldValues.attribute10` (any) - `oldValues.attribute11` (any) - `oldValues.attribute12` (any) - `oldValues.attribute13` (any) - `oldValues.attribute14` (any) - `oldValues.attribute15` (any) - `oldValues.attribute16` (any) - `oldValues.attribute17` (any) - `oldValues.attribute18` (any) - `oldValues.attribute19` (any) - `oldValues.attribute20` (any) - `oldValues.attribute21` (any) - `oldValues.attribute22` (any) - `oldValues.attribute23` (any) - `oldValues.attribute24` (any) - `oldValues.attribute25` (any) - `oldValues.attribute26` (any) - `oldValues.attribute27` (any) - `oldValues.attribute28` (any) - `oldValues.attribute29` (any) - `oldValues.attribute30` (any) - `operationType` (string) Must be 'update' or null or omitted. - `textMatchStyle` (string) - `noEvent` (string) Set to true when this operation should NOT trigger an update event (where applicable). ## Response 200 fields (application/json): - `response` (object)